/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;


@JsonSerialize
@ApiModel(description = "同步缺陷状态字典对象")
public class SyncCltDictItemDto implements Serializable {

    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    private String tenantId;
    /**
     * 缺陷状态字典对象<br>
     */
    @ApiModelProperty("缺陷状态字典对象")
    private List<CltDictItem> cltDictItemList;

    /**
     * 系统id列表
     *
     * @return
     */
    @ApiModelProperty("系统id列表")
    private List<String> projectIdList;

    /**
     * 操作类型<br>
     */
    @ApiModelProperty("操作类型")
    private String operationType;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<CltDictItem> getCltDictItemList() {
        return cltDictItemList;
    }

    public void setCltDictItemList(List<CltDictItem> cltDictItemList) {
        this.cltDictItemList = cltDictItemList;
    }

    public List<String> getProjectIdList() {
        return projectIdList;
    }

    public void setProjectIdList(List<String> projectIdList) {
        this.projectIdList = projectIdList;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }
}